window flicker for a short time after switching workspaces

Bug #862430 reported by Achim on 2011-09-29
This bug affects 385 people
Affects Status Importance Assigned to Milestone
Compiz
Medium
Sam Spilsbury
Compiz Core
Medium
Sam Spilsbury
compiz (Ubuntu)
Medium
Sam Spilsbury

Bug Description

Affects 11.10 and 12.04 (beta 1)

2) The version of the package you are using, via 'apt-cache policy pkgname' or by checking in Software Center
compiz:
  Installed: 1:0.9.6+bzr20110929-0ubuntu1
  Candidate: 1:0.9.6+bzr20110929-0ubuntu1
  Version table:
 *** 1:0.9.6+bzr20110929-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
unity:
  Installed: 4.18.0-0ubuntu1
  Candidate: 4.18.0-0ubuntu1
  Version table:
 *** 4.18.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status

3) What you expected to happen
If I switch workspaces windows should not flicker.

4) What happened instead
If I switch to another workspace the windows appear (flicker) on the next workspace for a short time.

A demonstration video: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/862430/+attachment/2724193/+files/video-2012-02-08-18-05-38.mp4

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: unity 4.18.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 1.23-0ubuntu2
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
Date: Thu Sep 29 16:06:33 2011
DistUpgraded: Log time: 2011-09-24 10:32:25.138728
DistroCodename: oneiric
DistroVariant: ubuntu
GraphicsCard:
 Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e22] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
   Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110906)
MachineType: MICRO-STAR INTERNATIONAL CO.,LTD MS-7521
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=0afe1514-67e2-4345-b7a2-b7df2fc0ad41 ro quiet splash vt.handoff=7
SourcePackage: unity
UpgradeStatus: Upgraded to oneiric on 2011-09-24 (5 days ago)
dmi.bios.date: 03/30/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V4.6
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: G45M Digital (MS-7521)
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO.,LTD
dmi.board.version: 2.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MICRO-STAR INTERNATIONAL CO.,LTD
dmi.chassis.version: 2.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV4.6:bd03/30/2010:svnMICRO-STARINTERNATIONALCO.,LTD:pnMS-7521:pvr2.0:rvnMICRO-STARINTERNATIONALCO.,LTD:rnG45MDigital(MS-7521):rvr2.0:cvnMICRO-STARINTERNATIONALCO.,LTD:ct3:cvr2.0:
dmi.product.name: MS-7521
dmi.product.version: 2.0
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO.,LTD
version.compiz: compiz 1:0.9.6+bzr20110929-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.26-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+7ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.0-1ubuntu13
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20110811.g93fc084-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.901-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110411+8378443-1

Related branches

Achim (ach1m) wrote :
Omer Akram (om26er) wrote :

thanks for the bug report. Is that still an issue in Ubuntu 11.10 final upto date?

Changed in unity:
status: New → Incomplete
Changed in unity (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for unity because there has been no activity for 60 days.]

Changed in unity:
status: Incomplete → Expired
Launchpad Janitor (janitor) wrote :

[Expired for unity (Ubuntu) because there has been no activity for 60 days.]

Changed in unity (Ubuntu):
status: Incomplete → Expired
Achim (ach1m) wrote :

From time to time I still see windows flicker, If I switch workspaces.

compiz:
  Installiert: 1:0.9.6+bzr20110929-0ubuntu6.1vv1
  Kandidat: 1:0.9.6+bzr20110929-0ubuntu6.1vv1
  Versionstabelle:
 *** 1:0.9.6+bzr20110929-0ubuntu6.1vv1 0
        500 http://ppa.launchpad.net/vanvugt/compiz/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.6+bzr20110929-0ubuntu6 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
     1:0.9.6+bzr20110929-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
unity:
  Installiert: 4.28.0-0ubuntu2vv2
  Kandidat: 4.28.0-0ubuntu2vv2
  Versionstabelle:
 *** 4.28.0-0ubuntu2vv2 0
        500 http://ppa.launchpad.net/vanvugt/unity/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
     4.28.0-0ubuntu2 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric-updates/main amd64 Packages
     4.22.0-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages

Changed in unity:
status: Expired → Incomplete
Omer Akram (om26er) wrote :

a video to show the problem would be really helpful.

Changed in unity (Ubuntu):
status: Expired → Incomplete
Achim (ach1m) wrote :

I wasn't able to catch this bug with a screen recorder, so I made a video with
my mobile phone. At the 10th second you can see the Evince window flicker on the top left workspace,
although the window is on the top right workspace.

You can also see that firefox seems to be »active« (Top left workspace is bright) although it is minimised.

Omer Akram (om26er) wrote :

Please make sure yo test that in Ubuntu 12.04 and let us know if it happens still, it mostly looks related to the expo the one of the few visual plugins that we are still using from compiz.

Changed in unity (Ubuntu):
importance: Undecided → Low
Changed in unity:
importance: Undecided → Low

I'm seeing this on my Precise install on my desktop using the Nouveau driver. It's interesting to note that if I'm switching between two workspaces with maximized windows using Ctrl+Alt+Arrow keys, I don't see it, but in all other cases I do.

tags: added: precise
Achim (ach1m) wrote :

Hey Omer,

I installed beta1 of precise and the problem is still present.

compiz:
  Installiert: 1:0.9.7.0~bzr2995-0ubuntu5
  Kandidat: 1:0.9.7.0~bzr2995-0ubuntu5
  Versionstabelle:
 *** 1:0.9.7.0~bzr2995-0ubuntu5 0
        500 http://de.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status
unity:
  Installiert: 5.4.0-0ubuntu2
  Kandidat: 5.4.0-0ubuntu2
  Versionstabelle:
 *** 5.4.0-0ubuntu2 0
        500 http://de.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

Omer Akram (om26er) on 2012-03-11
Changed in unity:
status: Incomplete → Confirmed
Changed in unity (Ubuntu):
status: Incomplete → Confirmed
affects: unity (Ubuntu) → compiz-plugins-main (Ubuntu)
Changed in compiz-plugins-main:
importance: Undecided → Low
status: New → Confirmed
tags: added: spread
affects: compiz-plugins-main → compiz-core
Changed in compiz-core:
importance: Low → Medium
affects: compiz-plugins-main (Ubuntu) → compiz (Ubuntu)
Changed in compiz-core:
milestone: none → 0.9.7.2
description: updated
Changed in compiz (Ubuntu):
status: Confirmed → Triaged
Changed in compiz-core:
milestone: 0.9.7.2 → 0.9.7.4
Daniel van Vugt (vanvugt) wrote :

This bug sounds like bug 868121. It looks like we might have "lost" that fix... ?

Sam_ (and-sam) wrote :

Recently 876198 was added as dupe, how is it possible the heat decreases from 616 (dupe) to 280 (orig)?

Doug McMahon (mc3man) wrote :

This bug seems to be about the flashing in expo which does happen in 12.04. Some of the duped bugs are about cube/rotate so hopefully that that is being taken into account
At least here cube/rotate broke well before expo

note comment here
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/874862/comments/14

My issue is very similar to this but it deals with viewport switching (via the control+shift+arrow combinations). I see the expected workspace flicker on screen, then disappear, then the sliding animation happens. See the vid. This behavior happened after a compiz update to van vugt's PPA (quite a long time ago, don't remember which vv version).

Should this be a new report, Mr. Vugt? It almost seems like the root cause could be the same.

Daniel van Vugt (vanvugt) wrote :

This bug should cover all bugs related to viewport/workspace switching or moving of windows between them causing unwanted windows to briefly appear (flicker) and disappear.

Chauncellor, if this bug does not fully describe your problem it's possible you might also still have bug 876575 on oneiric. Though my fix for that bug was no explicit fix at all. It just went away with the introduction of the new frame timing code in compiz 0.9.7.0. It's possible even that bug should have been a duplicate of this one.

Changed in compiz-core:
milestone: 0.9.7.4 → none
tags: added: rls-p-tracking
Changed in compiz-core:
milestone: none → 0.9.7.6
no longer affects: unity
psypher (psypher246) wrote :

HI All, my bug https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/937740 is not fixed with latest update. Is it not then a duplicate of this issue?

Changed in compiz-core:
assignee: nobody → Daniel van Vugt (vanvugt)
Changed in compiz (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
Omer Akram (om26er) on 2012-04-02
Changed in compiz (Ubuntu):
importance: Low → Medium
status: Triaged → Confirmed
Omer Akram (om26er) on 2012-04-02
Changed in unity:
importance: Undecided → Medium
status: New → Confirmed
Changed in compiz-core:
status: Confirmed → In Progress
assignee: Daniel van Vugt (vanvugt) → Sam Spilsbury (smspillaz)
Changed in compiz (Ubuntu):
assignee: Daniel van Vugt (vanvugt) → nobody
Daniel van Vugt (vanvugt) wrote :

This bug appears to be fixed when I tried porting:
    lp:~smspillaz/compiz-core/compiz-core.work_923683
to precise.

Changed in compiz-core:
milestone: 0.9.7.6 → 0.9.7.8
Piotr (piotrtokaj) wrote :

Still not fixed for me in precise when I do:
          bzr branch lp:~smspillaz/compiz-core/compiz-core.work_923683

Only thing that has changed is that with the 'wave' animation activated for when the windows is focused, it goes blank... I had to disable the animation.

Daniel van Vugt (vanvugt) wrote :

The fix for this bug has not yet been released. Please be patient.

Sam_ (and-sam) wrote :

Thumbs up Daniel and many thanks for taking the challenge to fix compiz.

Doug McMahon (mc3man) wrote :

Maybe this should be a new bug, but as this seems to be a catch-all for flashing -

In 5.8.0+bzr2252ubuntu0+677 (unity team ppa) there is now flashing when returning windows to the Desktop using the 'Show Desktop' icon or keyboard shortcut

Changed in unity:
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in compiz (Ubuntu):
assignee: nobody → Sam Spilsbury (smspillaz)
Changed in unity:
milestone: none → 5.12.0
D J Gardner (djgardner) wrote :

Extra datapoints for brave bug hunters...
  Switching face of the cube via Super-S (Expo plugin) does not flash,
  switching via Super-W (can't remember which plugin) does flash, but seemingly not always.

this bug also affects me, I've been meaning to add myself.

With workspace-switching (CTRL+ALT+ARROW key) i don't notice it much, but when moving windows around in expo - from workspace to workspace, i get flickering.

I hadn't used expo in quite some time, but obviously for now (until the bug is fixed) i've disabled expo.

Knef (knef) wrote :

I noticed that the window flickering seems to happen only if I use the mouse in Expo mode. If I summon Expo mode and then switch desktop using the arrow keys and Enter, there is no flickering.

compiz:
  Installed: 1:0.9.7.6-0ubuntu1
  Candidate: 1:0.9.7.6-0ubuntu1

compiz:
  Installed: 1:0.9.7.6-0ubuntu1
  Candidate: 1:0.9.7.6-0ubuntu1

This bug only appears on my 12.04 desktop, with has a GeForce 8600 GTS. I mention it because this flickering does not happen on my 12.04 netbook with Intel graphic.

Even using the keyboard I get flicker.

Further, my intel graphics laptop is also affected (as well as my proprietary nvidia driver gtx560)

Doug McMahon (mc3man) wrote :

The flicker/flashing issues in expo & rotate/cube have already been fixed though you'll likely not see new packages till after release of 12.04
How long after may depend on when that branch gets merged which would depend on when it stops getting revised & then hopefully approved

From a user perspective the current compiz (0.9.7.6), unity-5.10 & r-3008 do work pretty good with only a few minor visible 'glitches' on some occasion
There may be things still wrong 'under the hood' but that's nothing new

rcspam (rcspam) wrote :

this bug is not fixed in oneric 11.10, is it possible to upgrade to compiz 0.9.7.6 with a ppa ?

Daniel van Vugt (vanvugt) wrote :

rapha, the fix for this bug will probably not be backported to oneiric unless an entirely new fix is designed that is simpler and more compatible with older releases.

Knef (knef) wrote :

I've now seen the flickering happen even with Intel graphic. My bad.

Doug McMahon (mc3man) wrote :

At least thru r3008 which is the last I've used this bug was also fixed, thought I'd mention because it's not specifically mentioned
Bug 965577

kapetr (kapetr) wrote :

Just note.
in my U12.04 on Intel graphic:
- on default wall+expo there is no flickering but
- on cube + rotate yes (+expo)

-> see my original report at https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/980679

AND - next Bug:

I can't move window to another viewport with CTRL+ALT+SHIFT.
It seems to be moved but at the and the window disappears (it jumps back to source viewport).

Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz-core at revision 3110.

Piotr (piotrtokaj) wrote :

kapetr - Yes I have exactly the same

Roland (roland-breedveld) wrote :

same problem with 11.04 (64b) on Lenovo T520 with "Intell SandyBridge Mobile" Controller,
VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

Sven Romeike (lun4tic) wrote :

there is even a youtube video on this issue at:
http://www.youtube.com/watch?v=TNjS92fP1aU

Alkalyzer (alkalyzer) wrote :

This bug just appears for me today after I performed the automatic upgrade from Oneiric to Precise.
I didn't have it when I was running Oneiric.
Compiz version : 0.9.7.6
My NVIDIA card is a GeForce 9600M GS and I am running the 295.40 nvidia drivers.

Didier Roche (didrocks) on 2012-04-27
Changed in unity:
milestone: 5.12.0 → 5.14.0
Jonathan Almeida (jonalmeida) wrote :

This bug has been affecting me since Ubuntu 11.10. I currently have 12.04 (64bit) with the latest update.

System: Dell Studio 1558
Graphics card: ATI Mobility 5470M running ATI's proprietary driver (v12.1)
OpenGL version: 4.2.11627
Compiz version: 0.9.7.6
Unity version: 5.10.0

Dan Kortschak (dan-kortschak) wrote :

Affects me:
compiz 1:0.9.7.6-0ubuntu1
unity 5.10.0-0ubuntu6
VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)

Daniel van Vugt (vanvugt) wrote :

Thanks all. This bug is now triaged. We don't need any more information.

sarton85 (sarton85) wrote :

I made a video about to display the bug for my own bug report. My bug report has now been indicated to be a duplicate of this bug. http://www.youtube.com/watch?v=qUtdVsj8FKc

alien2050 (mlev) wrote :

Hi everyone,
Looks like I'm late in this discussion, but I am experiencing this bug as well (since 11.10). Just to say, it still exists in Ubuntu 12.04 LTS (also tried Ubuntu Studio 12.04, same thing). Weird thing: I've noticed that if I play with the compiz settings for speed of the cube it kind of slows down (I see the flashing longer) and also, if I start the cube rotation and then abort it while it is rotating, then I don't see this issue, ever. It completes without flashing.

In other words, It flashes only when it completes the rotation not if it's aborted while it does it, I don't know if this helps the developers working on this bug... thanks!

Danillo (danillo) wrote :

I have just noticed that if I minimize all my windows to show my desktop, when I try to get the windows back (with ctrl+super+d or the launcher button) I also get flickering. Could this also be related to this bug or should I file a new report?

Doug McMahon (mc3man) wrote :

On 05/09/2012 11:48 PM, Danillo wrote:
> I have just noticed that if I minimize all my windows to show my
> desktop, when I try to get the windows back (with ctrl+super+d or the
> launcher button) I also get flickering. Could this also be related to
> this bug or should I file a new report?
>
I had reported that a while ago here, no one has confirmed though quite
obvious here
Bug 980337

David Rando (david-rando) wrote :

Compiz 0.9.8 was updated recently on precise but the bug is still there, right?

sarton85 (sarton85) wrote :

@David Rando, my system is updated completely and as far as I can see the problem is still there.

Daniel van Vugt (vanvugt) wrote :

It's a common mistake. Look carefully...

This bug is fixed in compiz 0.9.8 (the unstable series targeted for quantal). The bug is NOT fixed in compiz 0.9.7.8 (the current stable release in precise).

David Rando (david-rando) wrote :

i thought i read 0.9.8 in the update description. ;-) now i've double checked in the ubuntu software center and that's it, 0.9.7.8

Hopefully we can get that update soon in precise ;-)

Paul Necsoiu (paul-necsoiu) wrote :

Same problem with Ubuntu 12.04 and Toshiba Sattelite, Video Card - ATI Radeon HD 3400

I can also confirm this bug with latest 12.04 on the following hardware:

HP EliteBook 8540w:
01:00.0 VGA compatible controller: NVIDIA Corporation GT216 [Quadro FX 880M] (rev a2)

(using the NVIDIA proprietary/restricted driver)

and

Sony Vaio VPCSE290X
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Whistler [AMD Radeon HD 6600M Series]

(using the fglrx driver)

Otherwise, I'm loving Unity!! Keep up the good work, looking forward to a fix soon...

Man this flickering is annoying. Looks like its fixed in Compiz 0.9.8 When will that be released? (12.04) Or when will the 0.9.7 fix be released?

Daniel Balog (danielbalog86) wrote :

I would also like to know what Colin asked.

Don't want to wait until Quantal for this tiny glitch.

Changed in compiz:
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Sam Spilsbury (smspillaz)
milestone: none → 0.9.8.0
no longer affects: compiz-core/0.9.8
no longer affects: compiz-core/0.9.7
Changed in compiz-core:
milestone: 0.9.8.0 → 0.9.7.10
no longer affects: unity
Daniel van Vugt (vanvugt) wrote :

This fix is presently a priority for inclusion in a stable release update to 12.04.

Unfortunately the fix for this bug applied upstream in 0.9.8 is very large and very risky. It essentially redesigns and rewrites much of the compiz window management code, which ordinarily would be unacceptable in an SRU.

For this reason I think we would like to get it better tested in a PPA before proposing it to an SRU. So please don't get upset if this fix misses the next SRU. More important than releasing the fix for this bug is maintaining the stability of the 12.04 release.

Changed in compiz-core:
status: Fix Committed → Triaged
Daniel Balog (danielbalog86) wrote :

How do I get access to the unstable release? I wouldn't mind doing some testing myself.

Daniel van Vugt (vanvugt) wrote :

I am making a PPA to handle this and similar bugs now...

Gumuiyul (gumuiyul) wrote :

In similar I could see this problem, that is fired when selecting a workspace only by mouse
1. Open any window on two workspaces
2. Ctrl+S(Expose)
Now you can see it, if you select a workspace by mouse(not keyboard arrow keys)

my laptop is thinkpad x220 4287-A28
Ubuntu is lastest stable relase 12.04
compiz : 0.9.7.8
unity : 5.12

Jason Sharp (jsharp) wrote :

I installed the preproposed package from compiz....by adding the PPA

Looks real nice to far. I'll keep my eye out for any wonkiness that might occur that might be unforeseen

Ben Spiers (unpairedbracket) wrote :

I'm running vanvugt's ppa version and it does fix the bug (and rotate with window works again), but all unfocused windows are just plain white, including the root window, which makes it look like the desktop wallpaper is plain white as well. refocusing a window makes its contents visible again.

Test-tools (roland-verifysoft) wrote :

Here it works with ppa:vanvugt/compiz-preproposed
I can't move maximised windows with mouse, but very much better.

Doug Morse (dm-dougmorse) wrote :

Daniel -- or anyone else who knows I suppose -- can you post the URL for the PPA? I'm not sure which Compiz PPA to install for this fix.... Thanks, Doug

Doug Morse (dm-dougmorse) wrote :

Oops, well, nevermind -- Ben and Roland just posted the answer I need while I was typing. They must be psychic. :)

Doug McMahon (mc3man) wrote :

The pre- proposed version seems to vastly increase the possibility of a 2nd unmaxed window opening 1px off of the workspace which I believe is a known bug (that would have to be resolved before this is released

@Ben Spiers - if getting white windows then try running
unity --reset

I'm getting a white Desktop with preproposed.

On 21 May 2012 22:26, Jason Sharp <email address hidden> wrote:

> I installed the preproposed package from compiz....by adding the PPA
>
> Looks real nice to far. I'll keep my eye out for any wonkiness that
> might occur that might be unforeseen
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/862430
>
> Title:
> window flicker for a short time after switching workspaces
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/862430/+subscriptions
>

Craig Shelley (craigshelley) wrote :

Version 1:0.9.7.8-0ubuntu1vvpreproposed1 from ppa:vanvugt/compiz-preproposed is much better as it fixes several anoyances I have been having.

Window flicker after rotate cube is now gone.
Drag window to cube face now works with two monitors, one landscape one portrait. It used to be impossible to drag a window to a neighbouring cube face as the cube would rotate half way then snap back. This is now all working.
Drag window to top of screen to maximise now picks the correct monitor.
Double click to maximise now has a predictable behavior.

Thanks for fixing,
-- Craig

Daniel van Vugt (vanvugt) wrote :

Indeed, this fix is now available for testing in ppa:vanvugt/compiz-preproposed:
    https://launchpad.net/~vanvugt/+archive/compiz-preproposed

If it causes any new bugs for you then please report them here:
    https://bugs.launchpad.net/compiz/+filebug

Please be sure to add to the title "[0.9.8 r3110 regression]" and in the description mention you're using a PPA that contains the fix for bug 862430. Please also be sure to mention the graphics driver you're using.

From what I gather, the regressions mentioned so far are:
    1. Completely white unfocused windows.
    2. Completely white desktop (same bug?)

Doug McMahon (mc3man) wrote :

On 05/21/2012 09:38 PM, Daniel van Vugt wrote:
> Indeed, this fix is now available for testing in ppa:vanvugt/compiz-preproposed:
> https://launchpad.net/~vanvugt/+archive/compiz-preproposed
>
> If it causes any new bugs for you then please report them here:
> https://bugs.launchpad.net/compiz/+filebug
>
> Please be sure to add to the title "[0.9.8 r3110 regression]" and in the
> description mention you're using a PPA that contains the fix for bug
> 862430. Please also be sure to mention the graphics driver you're using.
>
> > From what I gather, the regressions mentioned so far are:
> 1. Completely white unfocused windows.
> 2. Completely white desktop (same bug?)
>
I'll file specifically on the 2 found so far if someone hasn't, (want to
try on 'clean' installs), but the white desktop & white unfocused don't
seem to be the same, - unity --reset fixes the white desktop while
nothing yet fixes the white unfocused
(Well - applying r3110 directly to 0.9.7.6/8 & locally building does
not cause white unfocused here with nvidia drivers

quequotion (quequotion) wrote :

I filed a bug for the window contents beign blanked and redrawn on focus changes; bug 1002655.

Hopefully my description is comprehensible as I've added more details that may be important in diagnosis.

If not, I'd love to take a video of my desktop to attach to the report.

Is there any software that can capture /exactly/ what I see on the screen, frame for frame?

Daniel van Vugt (vanvugt) wrote :

quequotion, to capture a video of your screen install package: gtk-recordmydesktop

quequotion (quequotion) wrote :

>>Daniel

I'll give it a try.
In the past I wasn't able to capture opengl applications with any acceptable quality with gtk-rmd.
Hopefully, it's improved.

By the way, is the fix in your PPA the one Sam didn't release back in October 2011?
https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/874862/comments/14

niels anders (niels-anders) wrote :

I just installed the fix available at the abovementioned ppa and have been working for a few hours.

The flickering is gone (using the mouse, keyboard, etc.), and I haven't found new problems yet.
working on Samsung N210 netbook, Ubuntu 12.04 32-bit, onboard intel (?) graphics, classic gnome shell.

Thanks a ton for the great work!

Jason Sharp (jsharp) wrote :

My laptop functions just fine. No flickering, no white unfocused window.

However, my desktop is a different story. White, unfocused windows everywhere. The differences

Nvidia GT440 powering a 30' Monitor at 2560x1600

zniavre (zniavre2048-gmail) wrote :

Thank you the blinking thingy stopped with the ppa
using gnome-classic with radeon open driver (libgl-dri-experimental) on 12.04

drag and drop windows on another desktop work much better too (was almost impossible before)

the bug does not affect me any more .

Daniel Balog (danielbalog86) wrote :

Thanks for the PPA. The flickering seems to be gone now.

However, I do now have the white unfocussed windows bug that a few people before me mentioned.

I have a desktop with a Geforce 285GTX.

Danillo (danillo) wrote :

Everything's fine now after adding the ppa. I don't get any white windows or desktop with my Intel GM965, so maybe it's a Nvidia problem.

Daniel van Vugt (vanvugt) wrote :

quequotion: Yes the fix in my PPA is the one Sam was talking about (for a long time). It's the latest version of his fix, with lots of additional fixes for graphical problems that the earlier versions had.

ppa:vanvugt/compiz-preproposed contains the exact version of the fix that is in compiz 0.9.8 right now, destined for Ubuntu 12.10.

A M R (antonio-mrdp) wrote :

Also blank unfocused windows, sometimes blank focused window.

Using GeForce 9300 GE.

Regards,

/antonio

Derek_ (derek-name) wrote :

The ppa:vanvugt/compiz-preproposed fixes this bug for me, but I also get the regression of windows turning all white.

It is not always strictly the unfocused windows, although that is the most common thing. Sometimes some of the unfocused windows can be normal, and sometimes the focused window can be white. Moving quickly among the windows can get the less common mixture. Or if I change the theme in Appearance then all of the windows are redrawn correctly (at that moment). The condition generally toggles for each window when it is focused, so if an unfocused window is not white, for example after changing the theme, then when it gets the focus, it turns white. When the focused window is white, it is NOT fixed by clicking on it or moving it or minimizing and unminimizing it, but I can always fix it by resizing it.

This is on an Nvidia GeForce 6200. I tried different monitor configurations without any change in the behavior.

Daniel Balog (danielbalog86) wrote :

The nvidia white windows bug from the prepoposed version can be discussed here:

* https://bugs.launchpad.net/bugs/1002602

A current workaround is to turn off window decorations. (I'm currently have them off myself)

David Rando (david-rando) wrote :

On intel no flicker from the PPA, neither a white window.

Looking good ;-)

The PPA packages fixed things for me on 12.04 using radeon. Thanks very much @vanvugt.

The PPA works fine here too... However, it did reduce expo performance... Expo works fine with midmaps, but otherwise it not nice... Especially with 4x4 workspaces...
However, if using midmaps for expo, a window (active or not) will not update untill it's reactivated even after leaving expo mode...
Thus, activate expo midmaps, open terminal, ctrl + s (enter expo mode), hit enter (leave expo mode), click on the terminal again or try typing into it, the terminal window will not update. It'll first update when you select an other window and reselect the terminal.

Also switching speeds appears to be affected, I needed to update compiz configs to get the same speed...

Anyways, nice to see the flickering go, it is very noticable if you have more than 2x2 workspaces.

Sorry, pl,ease disregard my comment about expo, seems a like a driver issue... Once loaded correctly, expo performance isn't bad with midmaps. However, midmaps enabled in expo still creates the issue mentioned (but I'm not sure if that's a regression).

Again, sorry... I'll test better next time...

The aforementioned "proposed" PPA fixes the flashing/blinking problem for me also. No white windows/decorations or any other regressions that I can see. Radeon HD6870 with binary blob driver.

Ron Bentley (rtbentley) wrote :

PPA fix worked for Xubuntu 12.04, Intel N10/ICH7 hardware, i915 driver. Windows from other desktops no longer flash briefly on the current desktop when I rotate the cube.

Thank you very much for this fix. Nice to have the cube back on my netbook.

Daniel Vugt's prepoposed fix works for me on Intel GM965/GL960 as well - great!

MC Return (mc-return) wrote :

I can confirm also that the fix works here. Great !!! Thanks for finally fixing this issue :)
(Compiz 0.9.7.8 vanvugt preproposed Compiz PPA)

ppa:vanvugt/compiz-preproposed did solve the flicker issue, the white screens were a blocker for me.

NVIDIA GT 330M, dual monitor.

Eric Schnarr (eschnarr1) wrote :

ppa:vanvugt/compiz-preproposed fixes the window flicker issue for me, but I get a white desktop background. NVIDIA GTX 260M.

I also noticed a couple other problems:
   1. Not only is my background white, but my desktop icons are missing. I'm using the XFCE desktop environment (Xubuntu).
   2. With this ppa, "smart" window placement mode does not work correctly. I've submitted onother bug report to cover this -- see bug 1006663.

Joshua (jgh.emc) wrote :

I had the previous workspace flash, and windows not moving to adjacent workspace problem when rotating the desktop cube.

Yesterday I tried Daniel vav Vugt's ppa:vanvugt/compiz-preproposed version, but had some different problems.

The cube was mostly fixed it seems, but most windows went plain white. Focussing or defocussing a window usually caused it to toggle between white-washed and correct, but some windows stayed white-washed, and I think some stayed correct. I'm using gnome-classic on 12.04, and after I logged in again the panel was white-washed too (its content was functional but hidden). Also, when I tried the expo, the textures for the desktop were a bit mosaic (too small and repeated, or displaced and so on). I couldn't analyse it much because something started to chug and the system soon hung.

I'm using a lenovo T420s with following graphics (couldn't get it working in Optimus mode, so chose Integrated graphics in the BIOS). Also tried compiz with and without the nvidia driver enabled, but it didn't seem to make any difference.

> lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
01:00.0 VGA compatible controller: nVidia Corporation GF108 [Quadro NVS 4200M] (rev a1)

Good luck getting on top of this Daniel. My guess is that some texture parameters are getting set incorrectly, and causing white-wash if one is lucky, or a more serious corruption if not (I guess the expo requires more/larger textures and is hence more likely to propagate corruption).

Daniel van Vugt (vanvugt) wrote :

Joshua,

I thought the general white window bug (which is most common on nvidia but could occur with any driver in theory) would be solved in bug 729979 or bug 1002602.

If you have different issues, please log a new bug as per comment #66.

Joshua (jgh.emc) wrote :

Thank you for the comment Daniel. Perhaps the bug is indeed solved already.

I guess you didn't update the packages in your ppa yet? I did a "bzr branch lp:compiz" and downloaded a whole load of *-dev packages to provide the packages that cmake complains it can't find (is there an easy way to find them..., or even do that automatically?) but I can't figure out where to get 'gnome-window-settings-2.0', 'xig-0', or what I need to install to get 'gcovr' and 'GTest'. cmake seems to complete OK, but there are a bunch of important features disabled (gnome, expo, etc.). Here's what cmake says:

-- Could NOT find gcovr (missing: GCOVR_EXECUTABLE)
-- Could NOT find GTest (missing: GTEST_LIBRARY GTEST_MAIN_LIBRARY)
-- checking for modules 'gnome-window-settings-2.0;gnome-desktop-2.0'
-- package 'gnome-window-settings-2.0' not found
-- Adding test test_plugin
-- Adding test test_profile
-- Adding test test_setting
-- Adding test test_backend
-- checking for modules 'xig-0;glib-2.0;gobject-2.0'
-- package 'xig-0' not found
CMake Warning at tests/integration/xig/CMakeLists.txt:30 (message):
  Xig not found, you will not be able to run X Server integration tests

Also, I made a mistake in my previous comment: I said above that I chose "Integrated graphics" in the BIOS settings, but actually it was "Discrete graphics", which the BIOS describes as yielding better performance at the expense of battery life.

Joshua,
I don't think this is the right place to discuss compiling issues (unless it's bug related). Maybe try the Compiz Forums instead? And you might find answers to your compiling issues here: http://wiki.compiz.org/Installation/Development

Joshua (jgh.emc) wrote :

Seranno, You are correct. Appologies, and thanks.

Sven Romeike (lun4tic) wrote :

With the proposed PPA windows appear white without content when switching between different non-fullscreen windows.

Daniel van Vugt (vanvugt) wrote :

Sven, that is bug 1002602.

ray field (simonyar) wrote :

with a GeForce 8400GS ppa:vanvugt/compiz-preproposed removed the flicker while giving me white nearly everything -- bleached desktop background, background applications nearly all white, half the time foreground app white -- until I removed window decorations as suggested, which fixed the issue. just wanted to note that compiz seems to take significantly less system load, dunno if this is because of removing window decorations.

Danillo (danillo) wrote :

I noticed there's still a minor visual glitch left with the compiz-proposed ppa. When switching a window between workspaces with ctrl+shift+arrow, it doesn't stay in place, it "trembles" a little bit and goes back to its original position, whether it is maximized or not. Is anyone else seeing this? I'm have an Intel GM965.

Danillo, That issue has been there before the PPA (at least for me, it's been there since 11.10).

quequotion (quequotion) wrote :

>>Serrano & Joshua

Serrano is partially correct, as this is not the appropriate place to discuss compilation issues.

Unfortunately, as I have pointed out in bug 880649, the wiki is (mostly) out of date.

For up-to-date compilation instructions, take a look at:

http://wiki.compiz.org/C%2B%2BCompiling

The compiz forums would would be a better place to discuss compilation problems.
Unfortunately they have been in disuse since sometime 2011.

Smeagol (gollum12345678) wrote :

I had the same bug since 11.10, and the PPA fixed the flicker but I got the white unfocused windows with my nvidia card.
But thanks!!! It's really good to see that the fix is going in the right way.

Any chance that any futher fix also includes the fix of the bug 933776 (Scale "all windows" not working )? because I cannot use both PPAs fixes at the same time... (or I just don't know how to do it)

mia1dolfan (mia1dolfan) wrote :

sudo add-apt-repository ppa:vanvugt/compiz-preproposed
sudo apt-get update
sudo apt-get upgrade

log out and log in resolved for me on hp elitebook 8540p

Feels faster as well!

Thanks!!

MC Return (mc-return) wrote :

I want to confirm the fix 8)
No more flicker when switching workspaces with the vanvugt compiz-preproposed PPA. :)

Achim (ach1m) wrote :

Maybe a possible regression. I have noticed that the slow windows bug has reappeared. I have tested this on my intel graphics system. I think it is related to this fix:

Backport fixes for white window bugs seen with the NVIDIA driver.
    (LP: #729979) (LP: #1002602)

If I move a window with my mouse relative fast it stays on its position, only the mouse cursor is moving.
The problem occurs after using the Desktop for some time.
As it seems the following processes have relative high cpu usages while moving a window around:

bamf, dbus-deamon, compiz and X

compiz:
  Installiert: 1:0.9.7.8-0ubuntu1vvpreproposed2
  Kandidat: 1:0.9.7.8-0ubuntu1vvpreproposed2
  Versionstabelle:
 *** 1:0.9.7.8-0ubuntu1vvpreproposed2 0
        500 http://ppa.launchpad.net/vanvugt/compiz-preproposed/ubuntu/ precise/main amd64 Packages
        100 /var/lib/dpkg/status
     1:0.9.7.8-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
     1:0.9.7.6-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

psypher (psypher246) wrote :

HI All,

I can confirm as well that the flicker issue is fixed. Another old bug that I logged about it https://bugs.launchpad.net/compiz-core/+bug/937700). But I too have a similar issue as Achim. This issue has actually been around for a while, hoping it was related to the flicker issue. When I try move and app to a different desktop, while in Expo mode, the mouse and the app moves but the app does not move in relation to the mouse. For instance moving the mouse 5cm will move the app 10cm in the same direction. Doesn't happen all the time, kind of like Achim, when I mouse the mouse quickly. This same issue also occurs with snapped windows while not in expo mode. I logged a bug about this quite some time ago (https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/937665)

Is this related? If not how do i get attention to this issue on my bug 9=937665 as no actions have happened in 3 months?

Thanks so much for fixing the flicker, made Ubuntu REALLY ugly and not recommendable at all.

psypher (psypher246) wrote :

Oh and not sure if this is related to the fix. I tried using gtk-record my desktop to show you my drag issues mentioned above. But now that I installed this update I cannot drag apps in expo mode while recording. Is this also related? Should I log a separate bug? If so any specific info I must provide?

Thanks

psypher (psypher246) wrote :

Daniel, is the random all white dropdown menus I am now getting after upgrading also related to: bug 1002602?

psypher (psypher246) wrote :

I had to remove the PPA, couldn't do my work with drop down menus randomly being blank white. Flicker back but at least it's functional. Please advise re: the white dropdowns as per my questions above.

Thanks

no longer affects: compiz-core/0.9.8
no longer affects: compiz-core/0.9.7
Changed in compiz-core:
status: Fix Committed → Triaged
milestone: none → 0.9.7.10
Daniel van Vugt (vanvugt) wrote :

psypher, the problem with white dropdown menus when using compiz 1:0.9.7.8-0ubuntu1vvpreproposed2 is now being tracked in bug 1011923. Please subscribe to that one.

Alaa Murad (alaamurad) wrote :

sudo add-apt-repository ppa:vanvugt/compiz-preproposed
sudo apt-get update
sudo apt-get upgrade

Restarted and it works great :)

Thanks so much !!!

Daniel van Vugt (vanvugt) wrote :

Note: The fix for this bug is still causing some regressions, listed here:
https://bugs.launchpad.net/compiz/+bugs?field.tag=compiz-r3110-regression

If you're backporting the fix for this bug, please ensure those regressions are fixed and their fixes included in your backport.

Soos Gergely (sogerc1) wrote :

The ppa works for me too, thanks.
I'm using kubuntu, firegl and an emerald that I've compiled myself.

rawdmon (raw-dmon) wrote :

@Daniel van Vugt (vanvugt): Any chance of getting the patch for bug #974242 included in your preproposed PPA as well? I just tried the patch out using a different PPA and it works great. The only problem is that the other PPA doesn't include the patch for bug #862430 so I'm stuck with that bug again.

Jason Eisner (jason-cs) wrote :

@Daniel van Vugt (vanvugt),
Is there a new problem with your repository? I added it a month ago to get your PPA, as follows:
     sudo add-apt-repository ppa:vanvugt/compiz-preproposed
It worked great (thanks!!), but today I am getting warnings and errors in my update manager (mintUpdate):

W: GPG error: http://archive.canonical.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <email address hidden>
W: GPG error: http://ppa.launchpad.net precise Release: The following signatures were invalid: BADSIG 07F44D6CE0BB1767 Launchpad PPA for Daniel van Vugt
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/ppa.launchpad.net_vanvugt_compiz-preproposed_ubuntu_dists_precise_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
E: _cache->open() failed, please report.

Daniel van Vugt (vanvugt) wrote :

I think you will find this bug was Fix Released in quantal about 5 hours ago:

compiz (1:0.9.8+bzr3249-0ubuntu1) quantal-proposed; urgency=low

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
zniavre (zniavre2048-gmail) wrote :

good morning

compiz updated this morning the bug came back again. (precise)

maybe should be a good idea to make a new package including the flash patch to get the classic-panel working well with fullscreen mode

thank you

Daniel van Vugt (vanvugt) wrote :

This bug is only fixed in today's quantal (12.10) update "1:0.9.8+bzr3249-0ubuntu1". It is not fixed in today's precise (12.04) update "1:0.9.7.8-0ubuntu1.1".

zniavre (zniavre2048-gmail) wrote :

i was talking about the ppa i know it won't be fixed in precise but the ppa can be fixed to be installed again ? (at least for the flickering, and maybe more witth flash patch ?)

Daniel van Vugt (vanvugt) wrote :

Sorry, the PPA is not being maintained and I haven't changed it in a long time. I will check it when I have time.

FuzzyQ (atomicfuzzyq) wrote :

I can't believe I'm having this issue again. How can I downgrade to preproposed state where (almost) everything was fine?

FuzzyQ (atomicfuzzyq) wrote :

Ok, I did it by checking the update log /var/log/apt/term.log and forced the old versions off all the updated packages in synpatic (F3 -> force version). After downgrading, I locked them to stop them from being updated again in the future.

Quite some tedious work!

Wildman (sasha-mishchenko) wrote :

Hello!
I use your version of compiz for Kubuntu 12.04. This is cool work!
But I've some problems with installation this version.
For install it, I must uninstall precise's compiz 0.9.8, then install compiz-core, libdecoration0,compiz-plugins-default with option force version. After install I must keep this version and install other needed compiz software.
This is not usefull for regular user.
I find this algorithm after some tests and probes...
After all installation I must keep all needed new versions in synaptic and in apt-get(I use this tool too).
It works fine but has problems with installation and futuring upgrades.

My questions:
1. Which official version of compiz will have corrected this bugs?
2. You can change version of your ppa's version for precise? If your version will be have greater number then official version then it must installed by default.
3. I've troubles with your version of compiz-kde. Usually with library "compiz*kconfig*"(I forgoted name). It crash when started.

Sorry for my English.
Sasha.

Dirk Seidel (dseidel) wrote :

Hi,
I was using the version from the PPA with no problems at all. Unfortunately, compiz was updated yesterday (e.g. compiz-core:amd64 from 0.9.7.8-0ubuntu1vvpreproposed2 to 0.9.7.8-0ubuntu1.2). And now the flicker is there again!?!?!
Could you please have a look at that.

John DeWyze (jdewzy) wrote :

I was also using the PPA version with mostly no problems (occasionally an application might randomly move to a new workspace, but I can live with that). After upgrading, the flicker is back and I am completely unable to move windows to other workspaces without them jumping back.

Soos Gergely (sogerc1) wrote :

Thanks for the warning everybody, I have forbided the new compiz in my aptitude.
Can't this PPA be considered stable? People seem to use it, don't they?
I've been using it for more then two weeks and it works perfectly for me.

Matt White (mfwhite5) wrote :

For anyone who has accidentally upgraded compiz and the flickering has reappeared, this is what I did to fix it:

# list all packages that need to be downgraded
dpkg -l | grep '0.9.7.8-0ubuntu1.2'

# see what versions are available
apt-cache show compiz | grep Version: | awk '{ print $2 }'

# downgrade
sudo aptitude install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

# restart compiz
compiz --replace

Then just remember not to upgrade it again. Of course, you could also just pin the package at the PPA version, but then you'd have to remember to unpin it in the future.

wmwmwm (index-html) wrote :

This bug really annoys me :/

Ron Bentley (rtbentley) wrote :

I thought I was being careful not to upgrade to the new compiz packages, but they snuck by me. So I can confirm the bug is still present in the version 1:0.9.7.8-0ubuntu1.2. The screen still flickers when I switch desktops by rotating the cube.

(On that version I am also unable to move windows to another desktop using the keyboard shortcut. The window appears briefly on the new desktop and then disappears. But I guess that's probably a different bug report somewhere else.)

Many thanks to Matt White for the downgrade instructions.

mia1dolfan (mia1dolfan) wrote :

This bug is targeted Compiz Core 0.9.7.10 "SRU-1"

Ubuntu 12.04 SRU1 is set to be released on 2012-08-23
https://launchpad.net/ubuntu/+milestone/ubuntu-12.04.1

I don't see this bug listed under Ubuntu 12.04 SRU1 update. Is this bug targeted for 12.04.1?

Sam, maybe the Ubuntu team is not giving you time to backport? Maybe it could it be asssigned to another developer? You have the patch already.

This bug is already resolved in 12.10. If this bug doesn't get resolved in 12.04 before 12.10 comes out, it goes to show us that Long Term Support is a joke. This is getting ridiculous, it's almost been a year. If we really want "xyz" bug fixed, that affects many users, you have to upgrade every six months, even if your on a LTS release, with a bug that has lots of "heat", a patch exists, resolved upstream. Cross our fingers hoping a worse bug doesn't crop up because of the upgrade, and if it does wait another 6 months for that to be resolved, maybe. It's the circle of lif- Ubuntu.

If I have to upgrade to 12.10 to resolve this, I'm going to switch distros instead, one not based on Ubuntu. I'm not going to downgrade my packages, or do another hack, that is just going to wiped by a update, or prevent updates. Then again, I'm just one user, why should anyone in Canonical care, the cube is unsupported anyway. Who cares if it's a 'wwwoooooowww' factor, that attracted so many users to the operating system in the first place. Growing pains as Ubuntu grows and becomes less ubuntu, as Canonical reshapes itself, sheading it's original users base that got it to this point....

@mia1dolfan, please observe the code of conduct. Rants are not welcome or acceptable here. People are working as hard as they can, and as easy as it is to sit by and criticize the hard work, please know that it's always more complicated than it may seem.

For instance, the fix for this bug is a pretty big change. Remember that one wrong character caused an entire shuttle rocket to explode.

For all other users, please refrain from adding comments that do not contribute to the bug's progress; it is being worked on, and it will get fixed. Anything tangential posted here is just going to be noise that is delivered to the boatload of people subscribed to this bug and will not further the bug's fixing.

Daniel van Vugt (vanvugt) wrote :

As per comment #111, the fix for this bug is still causing regressions:
https://bugs.launchpad.net/compiz/+bugs?field.tag=compiz-r3110-regression

That is why it has not yet been backported to precise. We don't want to introduce fixes to an LTS release that are known to cause new bugs.

This bug also influences my computer. I am currently running a Dell Ultrabook XPS 13 and Ubuntu 12.04. Here are some additional details that I hope will help with the ultimate resolution of this defect. I would also appreciate any feedback that people can give me for ways to work around this problem until it is resolved. I am also glad to post any additional information if you think that it would be useful in your attempts to handle this matter.

-- Here are the details about the Compiz versions that I have available:

apt-cache show compiz | grep Version: | awk '{ print $2 }'
1:0.9.7.8-0ubuntu1.2
1:0.9.7.6-0ubuntu1

-- I noticed the flickering when I first installed Ubuntu 12.04. In particular, I very frequently saw the flickering
when I pressed Super-s to activate Expo and then drag a window from one desktop to another. Currently, I have
configured Expo to display a 3x3 grid.

-- I also saw the flickering when I use the key combination Ctrl-Alt-Left Arrow, etc to navigate to the 9 desktops
that I have available for use. Turning off the snapshots of the individual screens still does not resolve the
flickering issue.

-- Previously I followed the instructions in this bug report and several other Web sites to install the Compiz
Preproposed PPA and I thought that this had resolved the issue. That is, I did not see flickering in the second of
the two scenarios that I previously outlined; I regret that I did not rigorously test the first scenario after installing
the PPA. However, now I am wondering whether or not this upgrade actually installed because, as you can see, it does not appear in the output from apt-cache. I would appreciate any feedback on this matter.

-- However, as several of the other posters have reported, in early to mid July, I allowed Ubuntu to run an upgrade
that seems to have caused the flickering to come back. So, I downgraded to 1:0.9.7.6-0ubuntu1 in the hopes that
I could try to reinstall Compiz Preproposed from the PPA. However, if I add the repository, run an update, and
then an upgrade, I always end up back at the 1:0.9.7.8-0ubuntu1.2 that definitely causes a lot of flickering. Is
there a way to get to the PPA's version of Compiz even if 1:0.9.7.8-0ubuntu1.2 is available?

-- Right now, I am currently running 1:0.9.7.6-0ubuntu1. As before, the flickering frequently occurs when I move
a window from one desktop to another. However, the flickering seems to be at a minimum when I am using
Expo to move from one desktop to the next. I have tried a wide variety of Compiz configurations (like disabling
the Sync to Vblank in the OpenGL plugin) and I have noticed that none of them completely remove the flicker
and they may cause additional problems in the display. I would appreciate learning about any Compiz configurations that normally help to resolve this problem.

Thanks for your hard work on fixing this defect! Please contact me with feedback or requests for more details.

Soos Gergely (sogerc1) wrote :

Gregory, you can reinstall the ppa version of compiz (see mfwhite5's comment right after mine) then hold it using:

for i in compiz compiz-core compiz-gnome compiz-kde compiz-plugins compiz-plugins-default libdecoration0; do echo "$i hold"|dpkg --set-selections; done

The bash command above also stopped for me KDE's update notifier to pop up at every startup.
But remember, this will prevent every future update of compiz, when the next good version will appear you will have to install it manually.

Hello Soos Gergely (sogerc1) and Others,

Thank you for your feedback. It seems that I can no longer install the version of compiz from the PPA
and thus I am not able to downgrade to this version.

Here are the steps that I have taken:

sudo apt-add-repository ppa:vanvugt/compiz-preproposed
You are about to add the following PPA to your system:
 Potential SRU fixes that are still too risky or untested to propose, just yet.
 More info: https://launchpad.net/~vanvugt/+archive/compiz-preproposed
Press [ENTER] to continue or ctrl-c to cancel adding it

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.5j5rQjSj9z --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://keyserver.ubuntu.com:80/ --recv 7065C22B0E7F7C7AB7FDB0F207F44D6CE0BB1767
gpg: requesting key E0BB1767 from hkp server keyserver.ubuntu.com
gpg: key E0BB1767: "Launchpad PPA for Daniel van Vugt" not changed
gpg: Total number processed: 1
gpg: unchanged: 1

Note that this output indicates the PPA has already been installed on my system.

Then, I run the following command:

sudo apt-get update

Here is the output of another command:

apt-cache show compiz | grep Version: | awk '{ print $2 }'
1:0.9.7.8-0ubuntu1.2
1:0.9.7.6-0ubuntu1

However, I cannot run the command sudo apt-get upgrade because it will take me to the ubuntu 1.2 that
seems to cause much more flickering than ubuntu1.

So, I am not sure how to install the PPA version. Is there a way to remove 1:0.9.7.8-0ubuntu1.2
and then run the update and get the PPA version?

Or, is there a way to bring in the 12.10 version that was described as fixing the problem? Remember, I
am running 12.04 and I would like to keep doing so because of the fact that it is an LTS.

In summary, the flickering issue seems to still appear in Ubuntu 12.04 and both compiz versions that I
have tried. Furthermore, I cannot find a way to reinstall the PPA version and avoid the flickering. To the
best of my knowledge, the flickering issue was completely resolved by the version in the PPA.

Any assistance that you can provide would be appreciated. Thanks again!

Soos Gergely (sogerc1) wrote :

Again, you have to manually reinstall the ppa version, because 1:0.9.7.8-0ubuntu1.2 is a newer version than 1:0.9.7.8-0ubuntu1vvpreproposed2. Or better said, you have to downgrade the packages by forcing them to the version you want.
This is done the way mfwhite5 said (right after my first comment), or here it is with apt-get (very similar):

sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

Or you can try:
sudo aptitude
which has a nice ncurses interface, where you can browse the packages and the different package versions. (I don't go into more details, because I don't think this is the place for a debian package management tutorial; this bug report is already way too long)

But make sure you have added vanvugt's ppa, because apt-cache show compiz | grep Version: | awk '{ print $2 }' should say:
1:0.9.7.8-0ubuntu1.2
1:0.9.7.8-0ubuntu1vvpreproposed2
1:0.9.7.6-0ubuntu1

Soos Gergely (sogerc1)

When i try mfwhite5 suggestion - i get error that none of the packages can be found. I have since bricked my install since i tried to downgrade using Synaptic which required uninstall of unity, etc.

I know this seems minor, but the cube candy rotating effect changed me to ubuntu. :-(

I appreciate your working on it - i wish there was a way for people to easily fix and keep the fix - nothing here is working for me after a fresh install ...

OMG its working yay!!!!!

once i re-added the unity repo and re-installed unity i was able to run:

 sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

and its working!!!!! whooo whooo

THANK YOU

OK, i broke it again - mmm then fixed it. So now i know how i rebroke it before.

I was wanting the dodgy behavior back in unity so i used this dudes repo: sudo apt-add-repository ppa:ikarosdev/unity-revamped (which makes dodgy work great) BUT it re-introduces the flashy / flicker bug in compiz rotate cube.

Steps to fix (again)
1.) Purge out repo that caused issue if you happen to know
2.) Install Synaptic if you havent already
3.) In Synaptic use the 'force to version' for compiz and compiz-core forcing them to compiz=1:0.9.7.8-0ubuntu1vvpreproposed2
4.) If you purged then you lost unity, compiz + plugins, etc. otherwise remove them
5.) Apply the commands below (provided by sogerc1 and mfwhite5

 sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

While this bug is annoying to some, i cannot use ubuntu when this is happening because it makes me want to puke and have a seizure. AGAIN - thanks to all who has helped in identifying and resolving this issue!!!!

January (january-weiner) wrote :

Hello,

thank you very much for the PPA, this saved my day.

I have a question, though. There are other bugs in Compiz that are addressed by other patches. One that is especially annoying for me is #933776 (compiz scale plugin / intiate window picker for all windows), and it has been also addressed by a patch and a respective PPA (https://launchpad.net/~bsantos/+archive/ppa). Any chance of merging these two patches?

Daniel van Vugt (vanvugt) wrote :

January,

Sorry we cannot backport fixes for all compiz bugs to Ubuntu 12.04 right now. If you really want/need all the fixes then consider using the pre-release Ubuntu 12.10 instead: http://www.ubuntu.com/testing

Mikael Strom (mikael-sesamiq) wrote :

Thanks for the PPA!

I was affected by this bug as well, and the PPA seem to solve it. I have a Macbook Pro 5,1 (dual GPU) and the bug affects both the 9400M and 9600M GPU's. I boot via grub-efi. I had even uglier problems than was described above, in fact the lower ~10% of the screen got completely distorted. I had constant flicker when moving windows between work spaces. For some reason, it appeared to get worse after i logged out and then logged in again.

 vanvugt, I really think the bug is so severe that the fix should be incorporated in 12.04.

Daniel van Vugt (vanvugt) wrote :

Mikael,

See comments #132, #111.

leo (leo-thx) wrote :

Thanks for all the effort put into fixing this, the PPA solved the issue completely, however it has introduced some side effects. Menus and windows occasionally render as empty white rectangles, it's slightly annoying but is quickly resolved if I force a redraw somehow (e.g. reopen the menu or maximize/unmaximize the window). On occasion, when returning from the lock screen (i.e. from an idle pc, not sleep or hibernation), a previously active window hangs and appears blank and maximized, obscuring the entire screen and disabling all global hot keys (when this happens my only option is a hard reboot). Finally, terminal mode (CTR+ALT+F[1-9]) no longer functions, the screen simply turns black and stays that way until I return to Unity. For the record, my card is a GeForce 8600M GT.

I know hunting down these bugs isn't easy, I appreciate the effort!

Mikael Strom (mikael-sesamiq) wrote :

Leo,
regarding blank terminals, i had this issue before installing the PPA. I think this is another bug.

Daniel,
I saw the regression issues. Any chance that they can be solved and back ported to 12.04? This is an LTS that will be run for long time by many users. The flickering/screen corruption issue solved by your patch feels like a critical fix, as it totally ruins the user experience. Can i do anything to help out?

Soos Gergely (sogerc1) wrote :

I can confirm that the blank terminal is not related to this ppa, or to compiz for that matter. I think it's an nVidia driver issue which appeared a long time ago (maybe 2 or 3 years). I used to have a laptop with nVidia card back then. Then after a while I got another laptop with an ATI card and the problem did not appear using the same ubuntu version so that's why I'm guessing it's an nVidia issue.

cement_head (andorjkiss) wrote :

@Mikael

I agree - if this is a long term release, this should be addressed.

I am writing back to confirm that, after some additional effort, downgrading compiz to the PPA
version has completely resolved the screen flicker behavior for me. Right now, I have locked
compiz to this version in order to ensure that future upgrades do not cause problems. If a
full fix is ever available for Ubuntu 12.04 LTS, can you please post an announcement to this
bug report log? When it is available, then I will try it out as well. Thanks again for your hard
working in releasing the PPA and substantially improving my experience with Ubuntu 12.04.

Here's how I got it fixed, by following many posts here:

sudo apt-get install synaptic

sudo apt-add-repository ppa:vanvugt/compiz-preproposed

sudo apt-get update

sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

(it will downgrade packages, allow it to continue)

Start synaptic

in "Search filter": put "compiz"

select every package that has a (!) next to it.

Select Package -> lock version

(they become red)

exit synaptic

Reboot or Restart X/Compiz.
Worked everytime for me.

Cheers,
Martin

mia1dolfan (mia1dolfan) wrote :

Ok same instructions as above w/out installing Synaptic. For me, even if I lock the packages in Synaptic, it appears to have no effect on 'apt-get upgrade'.

sudo apt-add-repository ppa:vanvugt/compiz-preproposed

sudo apt-get update

sudo apt-get install compiz=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-core=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-gnome=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins=1:0.9.7.8-0ubuntu1vvpreproposed2 compiz-plugins-default=1:0.9.7.8-0ubuntu1vvpreproposed2 libdecoration0=1:0.9.7.8-0ubuntu1vvpreproposed2

(it will downgrade packages, allow it to continue)

echo compiz hold | sudo dpkg --set-selections
echo compiz-core hold | sudo dpkg --set-selections

-----

That's it. If Ubuntu ever fixes the issue, or more likely you are forced to update because these packages are unmaintained and eventually it breaks the apt-get dependency chain, undo the hold with these commands...

echo compiz install | sudo dpkg --set-selections
echo compiz-core install | sudo dpkg --set-selections

Sam Spilsbury, thanks for keeping the repository up.

kiilo (kiilo.org) wrote :

fix works on my lenovo w500 ~ expecting integration into updates

Chris Banakis (cbanakis) wrote :

At Last!!!

My desktop is once again as smooth as silk.

Thank you very much mia1dolfan, for making sense of everything.

I did have 1 issue...

After I restarted Compiz, my window controls were gone. The top tool bar was there, (The one above the file/edit/view bar) but there was not any buttons for close, minimize, maximize.

I freaked out for a minute, but then cooler heads prevailed, and I restarted the computer. Worked like a charm.

For the record, I am running...

Ubuntu 12.04 32bit
Cairo-Dock With Open GL (Just say no to Unity)
Asus All-In-One ET2410IUTS (Multi-touch)

Chris Banakis (cbanakis) wrote :

Sorry, meant to thank Martin Levasseur.

Not that we are not thankfull to mia1dolfan too. :)

But it was Martin's post that I followed, which solved my problems.

Thank you very much, everyone.

Soos Gergely (sogerc1) wrote :

> After I restarted Compiz, my window controls were gone.
I don't think this issue is this ppa's fault. I've been experiencing it for a long time (using emerald), but the issue is so benign that I never bothered filing a bug report. After restarting compiz, sometimes the window controls are gone (mostly for the active window), but a maximize/unmaximize remedies it.

By the way I think saying stuff like "Just say no to Unity" is a little shortsighted. Everyone has the right to decide for himself. I mean I don't use it either because I think KDE+Compiz is the ultimate desktop environment but it's always nice to have alternatives.

Changed in compiz:
status: Fix Committed → Fix Released
Yogesh Lonkar (yogibear) wrote :

how to apply fix. please provide procedure total newbie in Ubuntu

Hi, Yogesh. You just need to update your computer, log in and out, and
the issue will be gone.

On 08/27/2012 04:20 AM, Yogesh Lonkar wrote:
> how to apply fix. please provide procedure total newbie in Ubuntu
>

I am running Linux Mint 13 Mate 64-bit edition. When I run "aptitude update" I still only see Compiz 1:0.9.7.8-0ubuntu1.4. Am I supposed to see a more recent Compiz version such as 0.9.8.0?

Yogesh Lonkar (yogibear) wrote :

Did update no change in bug. still flashing

Download full text (4.8 KiB)

Just dist-upgraded from 11.10 -> 12.04 -> 12.10 and it's finally working as
it should!

Thanks a lot for all your effort to correct this bug. This problem first
appeared back in October and I was eagerly waiting for the fix to upgrade.

Cheers from Brazil!
_______________________
Rafael R.M. Brandão
rafaelbrandao(at)gmail.com

On Mon, Aug 27, 2012 at 4:24 PM, Yogesh Lonkar <email address hidden>wrote:

> Did update no change in bug. still flashing
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (876198).
> https://bugs.launchpad.net/bugs/862430
>
> Title:
> window flicker for a short time after switching workspaces
>
> Status in Compiz:
> Fix Released
> Status in Compiz Core:
> Triaged
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> Affects 11.10 and 12.04 (beta 1)
>
> 2) The version of the package you are using, via 'apt-cache policy
> pkgname' or by checking in Software Center
> compiz:
> Installed: 1:0.9.6+bzr20110929-0ubuntu1
> Candidate: 1:0.9.6+bzr20110929-0ubuntu1
> Version table:
> *** 1:0.9.6+bzr20110929-0ubuntu1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
> unity:
> Installed: 4.18.0-0ubuntu1
> Candidate: 4.18.0-0ubuntu1
> Version table:
> *** 4.18.0-0ubuntu1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3) What you expected to happen
> If I switch workspaces windows should not flicker.
>
> 4) What happened instead
> If I switch to another workspace the windows appear (flicker) on the
> next workspace for a short time.
>
>
> A demonstration video:
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/862430/+attachment/2724193/+files/video-2012-02-08-18-05-38.mp4
>
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: unity 4.18.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.23-0ubuntu2
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
> CompositorRunning: compiz
> Date: Thu Sep 29 16:06:33 2011
> DistUpgraded: Log time: 2011-09-24 10:32:25.138728
> DistroCodename: oneiric
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation 4 Series Chipset Integrated Graphics Controller
> [8086:2e22] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
> Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110906)
> MachineType: MICRO-STAR INTERNATIONAL CO.,LTD MS-7521
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic
> root=UUID=0afe1514-67e2-4345-b7a2-b7df2fc0ad41 ro quiet splash vt.handoff=7
> SourcePackage: unity
> UpgradeStatus:...

Read more...

Does this mean that we must upgrade to Ubuntu 12.10 to get rid of the bug? Won't be a new Compiz version provided as a package update for Ubuntu 12.04?

I'm sorry, I read the report wrong.

It looks as if this update will be pushed out to users of 12.04 in the next SRU. Please be patient, it'll be here soon.

Soos Gergely (sogerc1) wrote :

All right, so if anyone was wondering: the new version 1:0.9.7.8-0ubuntu1.4 still contains the flickering bug so DO NOT UPGRADE FROM THE PPA VERSION

Lemure (spotlessmindornot) wrote :

Hi,
I have this bug on Xubuntu 12.04, i am a complet newbee, and i don't understand how i can resolve this bug. Thank you very much for you help !

Download full text (4.8 KiB)

Anyone experiencing issues with compiz sending some windows to workspace #1
after doing a cube rotation? Or it's just me? I notice It happens with
Chrome and Terminator.

Thanks in advance,
_______________________
Rafael R.M. Brandão
rafaelbrandao(at)gmail.com

On Sun, Sep 2, 2012 at 3:48 PM, Lemure <email address hidden> wrote:

> Hi,
> I have this bug on Xubuntu 12.04, i am a complet newbee, and i don't
> understand how i can resolve this bug. Thank you very much for you help !
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (876198).
> https://bugs.launchpad.net/bugs/862430
>
> Title:
> window flicker for a short time after switching workspaces
>
> Status in Compiz:
> Fix Released
> Status in Compiz Core:
> Triaged
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> Affects 11.10 and 12.04 (beta 1)
>
> 2) The version of the package you are using, via 'apt-cache policy
> pkgname' or by checking in Software Center
> compiz:
> Installed: 1:0.9.6+bzr20110929-0ubuntu1
> Candidate: 1:0.9.6+bzr20110929-0ubuntu1
> Version table:
> *** 1:0.9.6+bzr20110929-0ubuntu1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
> unity:
> Installed: 4.18.0-0ubuntu1
> Candidate: 4.18.0-0ubuntu1
> Version table:
> *** 4.18.0-0ubuntu1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3) What you expected to happen
> If I switch workspaces windows should not flicker.
>
> 4) What happened instead
> If I switch to another workspace the windows appear (flicker) on the
> next workspace for a short time.
>
>
> A demonstration video:
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/862430/+attachment/2724193/+files/video-2012-02-08-18-05-38.mp4
>
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: unity 4.18.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.23-0ubuntu2
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
> CompositorRunning: compiz
> Date: Thu Sep 29 16:06:33 2011
> DistUpgraded: Log time: 2011-09-24 10:32:25.138728
> DistroCodename: oneiric
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation 4 Series Chipset Integrated Graphics Controller
> [8086:2e22] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
> Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
> InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110906)
> MachineType: MICRO-STAR INTERNATIONAL CO.,LTD MS-7521
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic
> root=UUID=0afe1514-67e2-4345-b7a2-b7df2fc0ad41 ro quiet splash vt.handoff=7
> Sou...

Read more...

Download full text (5.2 KiB)

Forgot to mention, I'm on Ubuntu 12.10 with latest updates.

_______________________
Rafael R.M. Brandão
rafaelbrandao(at)gmail.com

On Mon, Sep 3, 2012 at 10:44 AM, Rafael Brandão <email address hidden>wrote:

> Anyone experiencing issues with compiz sending some windows to workspace
> #1 after doing a cube rotation? Or it's just me? I notice It happens with
> Chrome and Terminator.
>
> Thanks in advance,
>
> _______________________
> Rafael R.M. Brandão
> rafaelbrandao(at)gmail.com
>
>
> On Sun, Sep 2, 2012 at 3:48 PM, Lemure <email address hidden>wrote:
>
>> Hi,
>> I have this bug on Xubuntu 12.04, i am a complet newbee, and i don't
>> understand how i can resolve this bug. Thank you very much for you help !
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (876198).
>> https://bugs.launchpad.net/bugs/862430
>>
>> Title:
>> window flicker for a short time after switching workspaces
>>
>> Status in Compiz:
>> Fix Released
>> Status in Compiz Core:
>> Triaged
>> Status in “compiz” package in Ubuntu:
>> Fix Released
>>
>> Bug description:
>> Affects 11.10 and 12.04 (beta 1)
>>
>> 2) The version of the package you are using, via 'apt-cache policy
>> pkgname' or by checking in Software Center
>> compiz:
>> Installed: 1:0.9.6+bzr20110929-0ubuntu1
>> Candidate: 1:0.9.6+bzr20110929-0ubuntu1
>> Version table:
>> *** 1:0.9.6+bzr20110929-0ubuntu1 0
>> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
>> Packages
>> 100 /var/lib/dpkg/status
>> unity:
>> Installed: 4.18.0-0ubuntu1
>> Candidate: 4.18.0-0ubuntu1
>> Version table:
>> *** 4.18.0-0ubuntu1 0
>> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
>> Packages
>> 100 /var/lib/dpkg/status
>>
>> 3) What you expected to happen
>> If I switch workspaces windows should not flicker.
>>
>> 4) What happened instead
>> If I switch to another workspace the windows appear (flicker) on the
>> next workspace for a short time.
>>
>>
>> A demonstration video:
>> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/862430/+attachment/2724193/+files/video-2012-02-08-18-05-38.mp4
>>
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 11.10
>> Package: unity 4.18.0-0ubuntu1
>> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
>> Uname: Linux 3.0.0-12-generic x86_64
>> .tmp.unity.support.test.0:
>>
>> ApportVersion: 1.23-0ubuntu2
>> Architecture: amd64
>> CompizPlugins:
>> [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
>> CompositorRunning: compiz
>> Date: Thu Sep 29 16:06:33 2011
>> DistUpgraded: Log time: 2011-09-24 10:32:25.138728
>> DistroCodename: oneiric
>> DistroVariant: ubuntu
>> GraphicsCard:
>> Intel Corporation 4 Series Chipset Integrated Graphics Controller
>> [8086:2e22] (rev 03) (prog-if 00 [VGA controller])
>> Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
>> Subsystem: Micro-Star International Co.,...

Read more...

This is a known bug: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/740104?comments=all. The workaround is to avoid to have windows touching desktop edges.

Is there any plan to include Compiz 0.9.8.0 in Ubuntu precise tree or in a ppa? This situation is really painful.

Daniel van Vugt (vanvugt) wrote :

Michel,

No, there is no plan (yet) to make Ubuntu 0.9.8 available to precise. That is because it is a major change over 0.9.7 and would require backporting Unity 6.x to precise too.

However, this particular fix can be backported to precise in future. See comments #132 and #111.

Thank you for your reply. I had already read the whole thread including comments #111 and #132. I also had already installed your 0.9.7.8-0ubuntu1vvpreproposed2 Compiz version but I suffered too much from bug #1011923 (white menus). I therefore came back to the last Compiz version available in precise but I got rid of the Cube and Cube Rotation plugins to only work with Viewports. This is presently the less buggy way I have found to work with Compiz. I however did not find a way to send a window in another viewport just using keyboard shortcuts. It is a bit boring to use the mouse for such a simple task, but that is not a drama.

I had worked with Compiz for several years (Berryl, Compiz, and Compiz Fusion) but I stopped using it about one year ago because it had become too bugged for my taste. I tried several desktops for months but none gave me all the features that I was looking for. I guess I had been too spoiled with Compiz :-) I tried Compiz again this summer but I was very disappointed. Your answer and what I saw during the last couple of Months give me hope back.

I am happily surprised that there are only 3 regression bugs left for the correction of the bug described in this thread. If I remember well, there were a dozen of them in August. I must say that I am amazed by the Compiz team and by yourself for the number of bugs that had been corrected during the last couple of months for Compiz 0.9.8, period over which I have followed this thread. I am very impatient to try it. You all deserve the congratulations several people have expressed here.

mia1dolfan (mia1dolfan) wrote :

> or more likely you are forced to update because these packages are unmaintained and eventually it breaks the apt-get dependency chain, undo the hold with these commands...

It happened. I did a dist-upgrade, Unity updated, Compiz didn't. I ended up with a Desktop with no Unity. Compiz errors showed...

compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libunityshell.so' : /usr/lib/compiz/libunityshell.so: undefined symbol: _ZN10CompOption7setNameEPKcNS_4TypeE
compiz (core) - Error: Couldn't load plugin 'unityshell'

until I...

echo compiz install | sudo dpkg --set-selections
echo compiz-core install | sudo dpkg --set-selections
sudo apt-get upgrade

No more Cube again... It's only being a year now, look at the first post. At this point the options for a user are, no-dist upgrade, or set unity on dpkg hold, or no cube. I'm surprised things worked this long with the unmaintained repo. For the impatient, well, be patient, eventually we will all move on to something else and not care anymore.

Jalink (fantasyzer) wrote :

Okay from post #159 I understand the issue has been solved for Ubuntu 12.10. Can we now please apply the solution to the 12.04 LTS (read Long Term Support) version as well? Thanks!

I am writing to confirm that after allowing Ubuntu 12.04 to upgrade I experience exactly the
same error as mia1dolfan (mia1dolfan). When this took place Unity did not work correctly
and all of the menu bars, etc. were not visible. I can also confirm that mia1dolfan (mia1dolfan)'s
suggestion for resolving the problem does return Unity to a usable state. However, now I am
back to the flickering screen that takes place when I run the Expo plugin in Ubuntu 12.04. Note
that I can no longer correctly use the unmaintained PPA that previously solved the problem.

At this point, is the only way to resolve this problem to upgrade to Ubuntu 12.10?

What is the timeline for having the fix appear in Ubuntu 12.04?

mia1dolfan (mia1dolfan) wrote :

I just want to say that upgrading to Ubuntu 12.10 resolved this issue for me. As well a issue on [nvidia] where windows appear white at times. [not related to the white windows caused by the patch here] (there has been alot of different white window issues with Compiz). XRandR now works for the first time for Nvidia users, meaning Nvidia Binary users can use Ubuntu's tools to reconfigure monitor settings, the Nvidia tool still works, as well as Disper Indicator.

I have been using it all day stable, switching between single and dual monitors. The install went smooth. I suggest to 12.04 users to upgrade, I think most will agree 12.10 is what 12.04 should have been, the complete opposite of 10.04 -> 10.10.

Maybe if I donate or click some Amazon links, buy software from the Software Center, use it's cloud services they can grow to one day be able to focus more on LTS bugs because they will have a larger install base.

NVIDIA GPU NVS 5100M (GT216)

MC Return (mc-return) on 2012-10-22
Changed in compiz-core:
status: Triaged → Fix Released
Changed in compiz-core:
status: Fix Released → Triaged
Soos Gergely (sogerc1) wrote :

This may be a dumb question but I don't understand what's going on with this bug. The status says "fix released" but 1:0.9.7.8-0ubuntu1.4 still contains the bug and I don't see any update in precise-preproposed, the vanvugt repository is no longer available and in the meantime my eyes hurt because of some pretty violent flashes after a desktop rotate. Can someone please explain to me what to do now?

Daniel van Vugt (vanvugt) wrote :

Soos,

If you were willing to use a PPA then I recommend maybe you should upgrade to Ubuntu 12.10 instead where the bug is fixed already.

For 12.04 precise, look at the Compiz Core line which says "Triaged", meaning no fix has been applied to precise.

Soos Gergely (sogerc1) wrote :

Thank you Daniel for your response, I did not know what that triaged ment. I tried upgrading, but unfortunately 12.10 had several bugs that made my laptop unusable, one of them was that fglrx did not work. So I reinstalled 12.04 (because I need this laptop for my every-day work) when I noticed that your ppa threw http 404 messages at me. Can you make it available again? For me it was a usable version.

I think there is something broken in the Ubuntu upgrade policy regarding Compiz. Ubuntu 11.04 was so bugged and unstable that it triggered rage from many experienced Linux users. The answer from several Ubuntu forum managers defending Canonical was that we (the angry users) were stupid because if work and production was our main goal, we should have stick to the LTS version. The other 6-month cycle versions were supposed to be more adventurous and should be reserved for non-important usage.

Precise Compiz version (0.9.7.8) is so bugged that it is simply not usable for intensive work. Now we are told that if we want a stable release we should upgrade to Ubuntu 12.10, i.e., a non-LTS version. So:

  1. What is the purpose of an LTS version if we should leave it for a more stable version?

  2. What did make the Compiz team to decide that Ubuntu 12.10 was more important than the 12.04 LTS version ?

I am not an English native speaker and I cannot write as I want. This is not an angry post or a post full of reproach or resentment. I am just curious because I would like to keep the LTS version but with a good Compiz version. Unfortunately I do not know how to express it without seeming harsh. Excuse-me for lacking the nuance necessary for this.

MC Return (mc-return) wrote :

@michel-pitermann: I agree with you that this fix (and many others ;)) should be backported to Precise and Compiz 0.9.7.x as soon as possible...

Mikael Strom (mikael-sesamiq) wrote :

I agree with #177 above as well. It seem that 12.04 LTS will never be stable which is strange to say the least. This is not a minor bug, as it renders 12.04 LTS more or less useless for many users.

S.Rey (s.rey) wrote :

I agree 100% with #177 comments, and I would like to see some responses from ubuntu. (I know this is not the right place to discuss, but seeing no progress at all in a supposedly long term supported version is very annoying)

I think that in order to success in gaining some market share, they need to focus in getting stable versions, rather than changing things that annoy a substantial part of their current users. Getting stable versions means to fix bugs after release too, and not only for the next release, at least for the LTS versions.
I am not going to change to another version which may solve some serious compiz bugs, but introduces a lot of unwanted features and probably lots of different bugs.
So, my chosen alternative has been to stick to LTS, but I have changed to Cinnamon Desktop.
It doesn't use Compiz, so no bugs, and you get a modern desktop with the classic gnome functionality, and some useful effects similar to compiz (except no cube).

Soos Gergely (sogerc1) wrote :

I do agree with some of the stuff that had been said in the previous comments (mainly because the bug report is more than 1 year old and affects two releases) but let's not forget that life is not that simple. If you take the time to check it you can see that a lot of bugs must be fixed before 0.9.7.10 can be released, and most of them already are. In the meantime we just have to be patient and maybe use the vanvugt PPA, which is by the way up again (thanks Daniel). Others can do what s.ray did, and use something else. I myself have never liked gnome. I stick with KDE+Compiz+Emerald which is sometimes hard to put together but imho it's state of the art.

Enough philosophy. The reason of my comment is that some time ago we were talking about holding packages to a specific version to prevent upgading to a version that still has the bug. While that works, it's not the best solution, so I thought I should prioritize the vanvugt PPA. Because I'm no expert it took me quite a while to put these few lines together so I thought I'd share it with anyone who's in the same boat as I am:

/etc/apt/preferences :

Package: *
Pin: release o=LP-PPA-vanvugt-compiz-preproposed
Pin-Priority: 1001

You've gotta love APT! I work with RPM based systems too but nothing beats debian.

Changed in compiz-core:
milestone: 0.9.7.10 → 0.9.7.12
quequotion (quequotion) wrote :

>>177-181

This is the dark side of the LTS coin. The plan is to continue security updates and minor bug fixes so long as nothing requires redesign, causes bugs, or adds new features until the next LTS; unfortunately, that includes the DE. I haven't looked through all of the code, but it seems this fix is part of a major change in compiz's rendering method, and even results in other bugs.

I think the real problems are compiz's (missing) roadmap and scattered community.

Take a look at the bzr where "Compiz has 210 active branches owned by 24 people and 10 teams. There were 311 commits by 11 people in the last month." It's good to see activity, but it's beyond me how this gets organized into a stable release whenever it does--particularly because there's no published discussion of the various tests being done or options being explored. If you want the latest news you'll have to get on IRC.

There are no blueprints for compiz. The last blueprint for compiz-core called for splitting it into 0.9.7.x (precise) and 0.9.8.x (oneric and beyond), which was done. The only published information about where compiz is going can be found in the targets for the next milestone (0.9.7.12 for precise), where this bug has been pushed up once again.

Last I checked, only Dainel and Sam work on compiz full-time, so handling all the bugs on a reasonable schedule is more than somewhat challenging. Still, I think the project would benefit from a revival of the compiz web as I pointed out in bug 880649. If we can bring back the forum, update the wiki, and get more volunteers interested in contributing to compiz then we can probably get better releases on a better schedule.

Daniel van Vugt (vanvugt) wrote :

quequotion:

Your comments are certainly valid but are off-topic in this bug. The website issue should be discussed in bug 880649. As for everything else, Compiz lives in Launchpad now so the place to go is always:
    http://launchpad.net/compiz

All proposals are welcome. We love it when people contribute fixes and even enhancements. And Launchpad is an excellent medium for discussing all such things.

If you want to know what has been changing then the most detailed info available is the NEWS file in each release tarball (URL as above).

If you want to know what is going to change, then always look at the next release:
    https://launchpad.net/compiz/+milestone/0.9.9.0

If you want to change what goes into the release, please log bugs (including enhancements) in Launchpad. Or even better propose code changes directly, targeting branch "lp:compiz".

Changed in compiz-core:
milestone: 0.9.7.12 → 0.9.7.14
Elijah Lynn (elijah-lynn) wrote :

I cannot contribute code but I can contribute money. I will donate $100 to Ubuntu via the download page and the Compiz team (I need a donation link) if this is pushed as part of normal updates to 12.04 by Feb 28th.

So, that is $200 contributed to the larger effort if this is in by Feb 28th!

experimancer (experimancer) wrote :

This is a really nasty bug, in otherwise pretty and usefule desktop of Precise Pangolin. So, to get this bug fixed also in Ubuntu 12.04, should it be add to the bug description that it affects (the project of) "precise-backport", too?

As there seems to have been several fixes to this bug already, I am just trying to make sure that a fix will be deliverd to Precise Pangolin, which is now already at version 12.04.02.

Maybe this is going to happen anyway, but I was not sure what does the Milestone: Compiz Core 0.9.7.14 "SRU-3" actully mean. As the compiz version in 12.04 is still at 0.9.7 series, does the SRU-3 then refer to the 12.04.03 LTS-backport which is due in August 2013? (meaning that, 12.04.1 was the SRU-1 and 12.04.02 was the SRU-3?)

Do you, Sam (to whom this bug is assigned) or anyone else, have any additional information about this, and the schdeule of the backport?

S.Rey (s.rey) wrote :

This bug still affects ubuntu 12.04.2 LTS, compiz-core 0.9.7.12-0ubuntu1.
I've lost any hope to get a real solution for this during the LTS lifetime. But at least can we get a workaround, even if it breaks unity?
There are ubuntu users who don't use unity, and the idea to lock compiz to unity is causing a lot of trouble and IMO, in the end, will cause compiz to die with no real alternative (with every other existing alternative to compiz you lose functionality)

experimancer (experimancer) wrote :

I can confirm that the bug is still in 12.04.02 LTS and there has been no progress to get ist resolved in compiz-core 0.9.7.14 and the status has been "Triaged" for many months for this milestone (SRU-3).
So, I am also waiting for a some kind of a workaround to this display flickering during the 12.04 LTS lifetime. There has been some fixes in other compiz branches (and Ubunut releases) to this bug, with some regressions, but I'd be willing to accept them in order to get this bug fixed. It seems also that this affects the Cube plugin sometimes, so that the whole display freezes for while, and compiz does not respond at all., but after waiting for a while, the graphical display starts to work again (but the fickering stays, no matter what).

Soos Gergely (sogerc1) wrote :

But there is a workaround. See comments #150 and #181 .

Bruno Medeiros (brunojcm) wrote :

Will there be a port of the fix to 12.04?

Bruno Medeiros (brunojcm) wrote :

I tried to install compiz from the ppa, I did:
    sudo apt-add-repository ppa:vanvugt/compiz-preproposed
    sudo apt-get update
    sudo apt-get upgrade

Result:
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Is it expected? I'm using Ubuntu 12.04 LTS with raring kernel backport.

Ben (a0-ben-ch) wrote :

For some reason the /etc/apt/sources.list.d/vanvugt-compiz-preproposed-precise.list sources file has the sources commented out, so you'll need to remove the # at the beginning of the two lines in that file.

Soos Gergely (sogerc1) wrote :

After today's update the compiz from the vanvugt repository has stopped working.
compiz-plugins-main and compiz-lugins-main-default was updated which are not provided by the ppa.
A lot of plugins are not loaded, all of them complain that a symbol is missing: _ZN10CompOption7setNameEPKcNS_4TypeE
Here is an example.
compiz (core) - Error: Couldn't load plugin '/usr/lib/compiz/libanimation.so' : /usr/lib/compiz/libanimation.so: undefined symbol: _ZN10CompOption7setNameEPKcNS_4TypeE
compiz (core) - Error: Couldn't load plugin 'animation'
The "normal" compiz is already at version 0.9.7.12, I'm guessing the plugins miss a symbol from that version. Fortunately I could downgrade, the old pkg is still there. What should I do? Should I forbid the update? Will there be a fix?

r_avital (ravital) wrote :

Sorry to chime in so late in the game.

1. Installed xubuntu 12.04 on 7/4/2013,and latest updates (I'm set up for LTS releases only).
2. Installed compiz from synaptic, no special PPA, just the one available in synaptic.

Switching workspaces via mouse-based or keyboard-based cube-rotation flashes the window(s) from the previous workspace for a splisecond on the new workspace as soon as the cube stops.

Rotating with these same methods between two empty workspaces does not show any flicker at all (each of my workspaces has a different wallpaper, if it matters).

The ehavior was still present in Raring 13.04 when I experimented with it only a week ago.

Switching via Expo does not show the problem at all (at least on my end).

Given sogerc1's message above, about the version in vanvugt's ppa, I don't see a point in downgrading. Will patiently wait for 14.04, assuming this will ever be fixed.

Doug McMahon (mc3man) wrote :

Another sru is coming & will likely not contain a fix for this.
So with some trepidation will provide a link to a ppa.

Important to note:
*this is a complete & utter hack
*only works on rotate/cube, is not for wall or expo
*the ppa is Not to be enabled or have it's packages installed, full instructions on ppa page
*this by No means fixes anything, it only reduces the chance of flashing when rotating, probably by 95% or so.

I've used it without issue since 12.04 dev (except for occasional flash here & there
https://launchpad.net/~mc3man/+archive/precise-testing

Dragor (gregory-brancq) wrote :

Doug, I just tested your solution and it well works for my 12.04.
Thanks a lot for your great job!

Ben (a0-ben-ch) wrote :

I have tried Doug's fix on my 12.04 install, but I am not experiencing any improvement. I am pretty sure I followed the instructions correctly, which were basically to extract libcube.so from compiz-plugins_0.9.7.12-0ubuntu2+mc3man1.1~hack_amd64.deb from his ppa and place it in ~/.compiz-1/plugins.

Gregory and Doug, are you on i386 or amd64?

Dragor (gregory-brancq) wrote :

I followed the instructions for the amd64.
I created the directory ~/.compiz-1/plugins, copied the libcube.so file into it and restart computer.
Don't forget to remove the vanvugt ppa (if you installed it) and update the compiz packages to have the last version 0.9.7.12.

Ben (a0-ben-ch) wrote :

Thanks for posting back Gregory. It looks like my earlier problems with Doug's fix had to do with having a second monitor connected. Now that I'm home with just the laptop screen there's no flicker. I'll confirm this tomorrow when I reconnect the second monitor, in the mean time I'm really enjoying the lack of flicker, it's like 10.04 all over again! Thanks Doug!

Ben (a0-ben-ch) wrote :

Following up, it is the second monitor that makes the difference. The laptop monitor does not flicker after installing Doug's fix, but the second monitor still does. Definitely progress though, thanks Doug!

experimancer (experimancer) wrote :

Well done Doug (https://launchpad.net/~mc3man) !!

your fix/hack/workaround or whatever you wish to call it is perfect, haven't had that awful flickering in my Ubuntu 12.04.02 compiz cube since installing it.

This is fantastic.

This bug has been reported here nearly two years ago, and it even got fixed (partly) by Ubuntu team, but never released (because of regressions etc) in such a form that it simply could be installed in stock Precise.

And now, just by copying that one libcube.so to home dir's compiz plugin dir, and after login, everything is smooth and non-flickering. In nearly two years time I had got so used to this cube flickering that hardly remembered anymore what an relaxed and still and smoothly moving cube and windows felt like.

Thanks one more time, Doug, I owe you a beer or two for providing this simple hack for us ;-)

-jukka

S.Rey (s.rey) wrote :

The hack works for me too. I can't see flicker at all (Ubuntu 12.04 with Gnome classic session).
Finally, 2 year later I can use the cube again.
Thanks a lot Doug

Koeny (dkoenigs) wrote :

Not certain if this applies to other users but this fix worked for me:

In ccsm, choose the composite plugin under the general settings area.

"Unredirect Fullscreen Windows" is checked.
"Unredirect Match" includes a list of window classes.

Click the "+" button to add a match. I then used the grab tool and added the fullscreen windows which had been experiencing flickers. Virtual Box is the one which has annoyed me the most because I consistently have multiple vbox instances open on different workspaces. When I grabbed a vbox instance it added "& !(class=VirtualBox)" to the "Unredirect Match"

Now vbox doesn't have the screen flicker any more! It would be nice not to have to manually add exceptions but this has worked for me so far.

Also, I don't know what undesirable consequences (if any) this fix has.

msth67 (msth67) wrote :

It works for me too:now cube is back,I just followed the instructions,dropped libcube.so in ~/.compiz-1/plugins,logged out and then in again,and it works-with just the slightest hint of flicker maybe,but it could be my ATI card as well,or the AMD proprietary driver,who knows.
Thanks a lot Doug:another great fix,some people may say Compiz is dead but IMHO it still is the nicest window manager around.

People considering Compiz as dead think that nearly two years to see a hack which is not a real fix for such a terrible bug is not a sign of a healthy piece of software, specially for an LTS version which is suppose to be rock solid. Two years of this flickering made Compiz something very far from the nicest window manager. As long as a real fix is not provided for the LTS version, Compiz will be considered as a poor window manager by many.

Soos Gergely (sogerc1) wrote :

12.04 being an LTS is the reason why this bug will not be fixed. If you read the older posts the developers say that fixing the bug would require a major change in compiz's core which would compromise it's stability. But compiz is an eyecandy, if it doesn't look good it's nothing. IMHO the problem is the not caring. 12.04 is a really old version and Cannonical cares only about the next version and since this is not a security issue don't expect that it will ever be fixed.
BTW also don't expect many compiz improvements in the future because with the replacement of xorg compiz will become outdated. It's a shame though, compiz indeed used to be the best looking, most configurable window manager and it had the best multihead support (which is unfortunately also considered outdated).

Val (vk1266) wrote :

Soos Gergely,

Thank you for bringing the issue of compiz support (of lack thereof) in future versions of Ubuntu to our attention. I admit I have not even considered the possibility that compiz may become unavailable in future versions. This is alarming and upsetting. I like Ubuntu, it has been my favourite OS for years. However, when compiz becomes unavailable I will have to switch to another distro. Losing compiz will be too much for me.

florent (florent-nicoulaud) wrote :

Val, may I suggest Cinnamon ? I think it's a very nice replacement.
As well as Linux Mint to which I switched since the Ubuntu spyware episode.
But it's a little sad for compiz which was a very good piece of software.

Sam Spilsbury (smspillaz) wrote :
Download full text (5.1 KiB)

Please create a question or a different bug if you wish to have discussions
like these. They are off the topic of this particular bug report and
causing lots of mailbox clutter for other developers who may be subscribed
to bug mail on this bug due to their past involvement with it.

On Wed, Dec 11, 2013 at 1:59 PM, Val <email address hidden> wrote:

> Soos Gergely,
>
> Thank you for bringing the issue of compiz support (of lack thereof) in
> future versions of Ubuntu to our attention. I admit I have not even
> considered the possibility that compiz may become unavailable in future
> versions. This is alarming and upsetting. I like Ubuntu, it has been my
> favourite OS for years. However, when compiz becomes unavailable I will
> have to switch to another distro. Losing compiz will be too much for me.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/862430
>
> Title:
> window flicker for a short time after switching workspaces
>
> Status in Compiz:
> Fix Released
> Status in Compiz Core:
> Triaged
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> Affects 11.10 and 12.04 (beta 1)
>
> 2) The version of the package you are using, via 'apt-cache policy
> pkgname' or by checking in Software Center
> compiz:
> Installed: 1:0.9.6+bzr20110929-0ubuntu1
> Candidate: 1:0.9.6+bzr20110929-0ubuntu1
> Version table:
> *** 1:0.9.6+bzr20110929-0ubuntu1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
> unity:
> Installed: 4.18.0-0ubuntu1
> Candidate: 4.18.0-0ubuntu1
> Version table:
> *** 4.18.0-0ubuntu1 0
> 500 http://archive.ubuntu.com/ubuntu/ oneiric/main amd64
> Packages
> 100 /var/lib/dpkg/status
>
> 3) What you expected to happen
> If I switch workspaces windows should not flicker.
>
> 4) What happened instead
> If I switch to another workspace the windows appear (flicker) on the
> next workspace for a short time.
>
>
> A demonstration video:
> https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/862430/+attachment/2724193/+files/video-2012-02-08-18-05-38.mp4
>
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: unity 4.18.0-0ubuntu1
> ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
> Uname: Linux 3.0.0-12-generic x86_64
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.23-0ubuntu2
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,resize,fade,unitymtgrabhandles,scale,session,unityshell]
> CompositorRunning: compiz
> Date: Thu Sep 29 16:06:33 2011
> DistUpgraded: Log time: 2011-09-24 10:32:25.138728
> DistroCodename: oneiric
> DistroVariant: ubuntu
> GraphicsCard:
> Intel Corporation 4 Series Chipset Integrated Graphics Controller
> [8086:2e22] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Micro-Star International Co., Ltd. Device [1462:7521]
> Subsystem: Micro-Star International Co., Ltd. Device [1462:...

Read more...

To post a comment you must log in.